Skip to main content
GET
cURL

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

org_id
string<uuid>
required

The unique identifier for the organisation.

Query Parameters

include
enum<string>[]

A comma separated list of related resources to include.

Available options:
appointments,
assignees,
contracts,
operations,
organisation,
permits,
properties,
site_managers,
streets,
teams,
template,
work_orders,
folder
filter
string
default:""

Filters the response data based on the value provided.

Available filters:

  • id_in: Filter by scheme ID(s)
  • organisation_in: Filter schemes by organisation ID(s)
  • eq(contract,xxx): Filter schemes that are assigned to the given scheme contract ID.

Project-role filters (cross-resource lookups against project role assignments):

  • has_role(<project_role_id>): Filter for schemes that have at least one active assignment for the given project role. Example: has_role(11111111-1111-1111-1111-111111111111).
  • held_by(<user_id>): Filter for schemes where the given user holds at least one role (any role). Example: held_by(22222222-2222-2222-2222-222222222222).
  • has_role_assignment(<project_role_id>,<user_id>): Filter for schemes where the given user holds the given role specifically. Example: has_role_assignment(11111111-1111-1111-1111-111111111111,22222222-2222-2222-2222-222222222222).

For more information on using named filters, see the docs

limit
integer<int64>
default:100

Limit the number of resources returned by the API

Required range: x >= 1
offset
integer<int64>
default:0

Offset the resources returned by the API

Required range: x >= 0

Response

Get a list of schemes.

JSON API response object

data
A list of schemes · object[]
required
meta
object
required
jsonapi
object
required
included
object[]

Related resources that can be included when a scheme is returned

An appointment